const READY = 0;
const KEY = 1;
const AFTER_EQUALS = 2;
const VALUE = 3;
const INVALID = 4;

const STATE_COUNT = 5;

class MonoidElement {
  constructor(states) {
    this.states = states;
  }

  get valid() {
    const finalState = this.states[READY];
    return finalState === READY || finalState === VALUE;
  }
}

export const IDENTITY_ELEMENT = new MonoidElement([
  READY,
  KEY,
  AFTER_EQUALS,
  VALUE,
  INVALID,
]);

const SPACE = new MonoidElement([
  READY,
  INVALID,
  INVALID,
  READY,
  INVALID,
]);

const EQUALS = new MonoidElement([
  INVALID,
  AFTER_EQUALS,
  INVALID,
  INVALID,
  INVALID,
]);

const OTHER = new MonoidElement([
  KEY,
  KEY,
  VALUE,
  VALUE,
  INVALID,
]);

export function encodeAsMonoidElement(character) {
  switch (character) {
  case ' ':
    return SPACE;
  case '=':
    return EQUALS;
  default:
    return OTHER;
  }
}

export function combineMonoidElements(left, right) {
  const states = [];
  for (let i = 0; i < STATE_COUNT; ++i) {
    states.push(right.states[left.states[i]]);
  }
  return new MonoidElement(states);
}
