import { parallelMapReduce } from './mapReduce.js';

describe('map-reduce with the basic attributes monoid', () => {
  test('validates string #0 with one thread', async() => {
    const text = '';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #1 with one thread', async() => {
    const text = ' ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #2 with one thread', async() => {
    const text = '=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #3 with one thread', async() => {
    const text = 'x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #4 with one thread', async() => {
    const text = '  ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #5 with one thread', async() => {
    const text = ' =';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #6 with one thread', async() => {
    const text = ' x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #7 with one thread', async() => {
    const text = '= ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #8 with one thread', async() => {
    const text = '==';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #9 with one thread', async() => {
    const text = '=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #10 with one thread', async() => {
    const text = 'x ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #11 with one thread', async() => {
    const text = 'x=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #12 with one thread', async() => {
    const text = 'xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #13 with one thread', async() => {
    const text = '   ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #14 with one thread', async() => {
    const text = '  =';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #15 with one thread', async() => {
    const text = '  x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #16 with one thread', async() => {
    const text = ' =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #17 with one thread', async() => {
    const text = ' xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #18 with one thread', async() => {
    const text = '=  ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #19 with one thread', async() => {
    const text = '= =';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #20 with one thread', async() => {
    const text = '= x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #21 with one thread', async() => {
    const text = '== ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #22 with one thread', async() => {
    const text = '===';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #23 with one thread', async() => {
    const text = '==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #24 with one thread', async() => {
    const text = '=x ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #25 with one thread', async() => {
    const text = '=x=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #26 with one thread', async() => {
    const text = '=xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #27 with one thread', async() => {
    const text = 'x x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #28 with one thread', async() => {
    const text = 'x= ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #29 with one thread', async() => {
    const text = 'x==';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #30 with one thread', async() => {
    const text = 'x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #31 with one thread', async() => {
    const text = 'xx ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #32 with one thread', async() => {
    const text = 'xx=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #33 with one thread', async() => {
    const text = 'xxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #34 with one thread', async() => {
    const text = '   x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #35 with one thread', async() => {
    const text = '  =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #36 with one thread', async() => {
    const text = '  xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #37 with one thread', async() => {
    const text = ' ==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #38 with one thread', async() => {
    const text = ' x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #39 with one thread', async() => {
    const text = '=   ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #40 with one thread', async() => {
    const text = '=  =';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #41 with one thread', async() => {
    const text = '=  x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #42 with one thread', async() => {
    const text = '= = ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #43 with one thread', async() => {
    const text = '= ==';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #44 with one thread', async() => {
    const text = '= =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #45 with one thread', async() => {
    const text = '= x ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #46 with one thread', async() => {
    const text = '= x=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #47 with one thread', async() => {
    const text = '= xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #48 with one thread', async() => {
    const text = '==  ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #49 with one thread', async() => {
    const text = '== =';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #50 with one thread', async() => {
    const text = '== x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #51 with one thread', async() => {
    const text = '=== ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #52 with one thread', async() => {
    const text = '====';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #53 with one thread', async() => {
    const text = '===x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #54 with one thread', async() => {
    const text = '==x ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #55 with one thread', async() => {
    const text = '==x=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #56 with one thread', async() => {
    const text = '==xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #57 with one thread', async() => {
    const text = '=x  ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #58 with one thread', async() => {
    const text = '=x =';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #59 with one thread', async() => {
    const text = '=x x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #60 with one thread', async() => {
    const text = '=x= ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #61 with one thread', async() => {
    const text = '=x==';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #62 with one thread', async() => {
    const text = '=x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #63 with one thread', async() => {
    const text = '=xx ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #64 with one thread', async() => {
    const text = '=xx=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #65 with one thread', async() => {
    const text = '=xxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #66 with one thread', async() => {
    const text = 'x =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #67 with one thread', async() => {
    const text = 'x= x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #68 with one thread', async() => {
    const text = 'x==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #69 with one thread', async() => {
    const text = 'x=x ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #70 with one thread', async() => {
    const text = 'x=x=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #71 with one thread', async() => {
    const text = 'x=xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #72 with one thread', async() => {
    const text = 'xx x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #73 with one thread', async() => {
    const text = 'xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #74 with one thread', async() => {
    const text = 'xxx ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #75 with one thread', async() => {
    const text = 'xxx=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #76 with one thread', async() => {
    const text = 'xxxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #77 with one thread', async() => {
    const text = '  ==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #78 with one thread', async() => {
    const text = '  x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #79 with one thread', async() => {
    const text = '=   x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #80 with one thread', async() => {
    const text = '=  =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #81 with one thread', async() => {
    const text = '=  xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #82 with one thread', async() => {
    const text = '= = x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #83 with one thread', async() => {
    const text = '= ==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #84 with one thread', async() => {
    const text = '= =xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #85 with one thread', async() => {
    const text = '= x x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #86 with one thread', async() => {
    const text = '= x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #87 with one thread', async() => {
    const text = '= xxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #88 with one thread', async() => {
    const text = '==  x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #89 with one thread', async() => {
    const text = '== =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #90 with one thread', async() => {
    const text = '== xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #91 with one thread', async() => {
    const text = '=== x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #92 with one thread', async() => {
    const text = '====x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #93 with one thread', async() => {
    const text = '===xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #94 with one thread', async() => {
    const text = '==x x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #95 with one thread', async() => {
    const text = '==x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #96 with one thread', async() => {
    const text = '==xxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #97 with one thread', async() => {
    const text = '=x  x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #98 with one thread', async() => {
    const text = '=x =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #99 with one thread', async() => {
    const text = '=x xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #100 with one thread', async() => {
    const text = '=x= x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #101 with one thread', async() => {
    const text = '=x==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #102 with one thread', async() => {
    const text = '=x=xx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #103 with one thread', async() => {
    const text = '=xx x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #104 with one thread', async() => {
    const text = '=xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #105 with one thread', async() => {
    const text = '=xxxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #106 with one thread', async() => {
    const text = 'x= =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #107 with one thread', async() => {
    const text = 'x===x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #108 with one thread', async() => {
    const text = 'x=x x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #109 with one thread', async() => {
    const text = 'x=x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #110 with one thread', async() => {
    const text = 'x=xx ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #111 with one thread', async() => {
    const text = 'x=xx=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #112 with one thread', async() => {
    const text = 'x=xxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #113 with one thread', async() => {
    const text = 'xx =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #114 with one thread', async() => {
    const text = 'xxx x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #115 with one thread', async() => {
    const text = 'xxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #116 with one thread', async() => {
    const text = 'xxxxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #117 with one thread', async() => {
    const text = '=   =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #118 with one thread', async() => {
    const text = '=  ==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #119 with one thread', async() => {
    const text = '=  x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #120 with one thread', async() => {
    const text = '= = =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #121 with one thread', async() => {
    const text = '= ===x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #122 with one thread', async() => {
    const text = '= =x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #123 with one thread', async() => {
    const text = '= x =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #124 with one thread', async() => {
    const text = '= x==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #125 with one thread', async() => {
    const text = '= xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #126 with one thread', async() => {
    const text = '==  =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #127 with one thread', async() => {
    const text = '== ==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #128 with one thread', async() => {
    const text = '== x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #129 with one thread', async() => {
    const text = '=== =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #130 with one thread', async() => {
    const text = '=====x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #131 with one thread', async() => {
    const text = '===x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #132 with one thread', async() => {
    const text = '==x =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #133 with one thread', async() => {
    const text = '==x==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #134 with one thread', async() => {
    const text = '==xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #135 with one thread', async() => {
    const text = '=x  =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #136 with one thread', async() => {
    const text = '=x ==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #137 with one thread', async() => {
    const text = '=x x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #138 with one thread', async() => {
    const text = '=x= =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #139 with one thread', async() => {
    const text = '=x===x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #140 with one thread', async() => {
    const text = '=x=x=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #141 with one thread', async() => {
    const text = '=xx =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #142 with one thread', async() => {
    const text = '=xx==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #143 with one thread', async() => {
    const text = '=xxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #144 with one thread', async() => {
    const text = 'x=x==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #145 with one thread', async() => {
    const text = 'x=xx x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #146 with one thread', async() => {
    const text = 'x=xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #147 with one thread', async() => {
    const text = 'x=xxx ';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #148 with one thread', async() => {
    const text = 'x=xxx=';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #149 with one thread', async() => {
    const text = 'x=xxxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #150 with one thread', async() => {
    const text = 'xxx =x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #151 with one thread', async() => {
    const text = 'xxxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #152 with one thread', async() => {
    const text = 'x=xx==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #153 with one thread', async() => {
    const text = 'x=xxx x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #154 with one thread', async() => {
    const text = 'x=xxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #155 with one thread', async() => {
    const text = 'x=xxxxx';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #156 with one thread', async() => {
    const text = 'x=xxx==x';
    expect((await parallelMapReduce('./attributes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #0 with two threads', async() => {
    const text = '';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #1 with two threads', async() => {
    const text = ' ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #2 with two threads', async() => {
    const text = '=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #3 with two threads', async() => {
    const text = 'x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #4 with two threads', async() => {
    const text = '  ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #5 with two threads', async() => {
    const text = ' =';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #6 with two threads', async() => {
    const text = ' x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #7 with two threads', async() => {
    const text = '= ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #8 with two threads', async() => {
    const text = '==';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #9 with two threads', async() => {
    const text = '=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #10 with two threads', async() => {
    const text = 'x ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #11 with two threads', async() => {
    const text = 'x=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #12 with two threads', async() => {
    const text = 'xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #13 with two threads', async() => {
    const text = '   ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #14 with two threads', async() => {
    const text = '  =';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #15 with two threads', async() => {
    const text = '  x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #16 with two threads', async() => {
    const text = ' =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #17 with two threads', async() => {
    const text = ' xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #18 with two threads', async() => {
    const text = '=  ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #19 with two threads', async() => {
    const text = '= =';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #20 with two threads', async() => {
    const text = '= x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #21 with two threads', async() => {
    const text = '== ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #22 with two threads', async() => {
    const text = '===';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #23 with two threads', async() => {
    const text = '==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #24 with two threads', async() => {
    const text = '=x ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #25 with two threads', async() => {
    const text = '=x=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #26 with two threads', async() => {
    const text = '=xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #27 with two threads', async() => {
    const text = 'x x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #28 with two threads', async() => {
    const text = 'x= ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #29 with two threads', async() => {
    const text = 'x==';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #30 with two threads', async() => {
    const text = 'x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #31 with two threads', async() => {
    const text = 'xx ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #32 with two threads', async() => {
    const text = 'xx=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #33 with two threads', async() => {
    const text = 'xxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #34 with two threads', async() => {
    const text = '   x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #35 with two threads', async() => {
    const text = '  =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #36 with two threads', async() => {
    const text = '  xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #37 with two threads', async() => {
    const text = ' ==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #38 with two threads', async() => {
    const text = ' x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #39 with two threads', async() => {
    const text = '=   ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #40 with two threads', async() => {
    const text = '=  =';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #41 with two threads', async() => {
    const text = '=  x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #42 with two threads', async() => {
    const text = '= = ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #43 with two threads', async() => {
    const text = '= ==';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #44 with two threads', async() => {
    const text = '= =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #45 with two threads', async() => {
    const text = '= x ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #46 with two threads', async() => {
    const text = '= x=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #47 with two threads', async() => {
    const text = '= xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #48 with two threads', async() => {
    const text = '==  ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #49 with two threads', async() => {
    const text = '== =';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #50 with two threads', async() => {
    const text = '== x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #51 with two threads', async() => {
    const text = '=== ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #52 with two threads', async() => {
    const text = '====';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #53 with two threads', async() => {
    const text = '===x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #54 with two threads', async() => {
    const text = '==x ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #55 with two threads', async() => {
    const text = '==x=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #56 with two threads', async() => {
    const text = '==xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #57 with two threads', async() => {
    const text = '=x  ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #58 with two threads', async() => {
    const text = '=x =';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #59 with two threads', async() => {
    const text = '=x x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #60 with two threads', async() => {
    const text = '=x= ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #61 with two threads', async() => {
    const text = '=x==';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #62 with two threads', async() => {
    const text = '=x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #63 with two threads', async() => {
    const text = '=xx ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #64 with two threads', async() => {
    const text = '=xx=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #65 with two threads', async() => {
    const text = '=xxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #66 with two threads', async() => {
    const text = 'x =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #67 with two threads', async() => {
    const text = 'x= x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #68 with two threads', async() => {
    const text = 'x==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #69 with two threads', async() => {
    const text = 'x=x ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #70 with two threads', async() => {
    const text = 'x=x=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #71 with two threads', async() => {
    const text = 'x=xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #72 with two threads', async() => {
    const text = 'xx x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #73 with two threads', async() => {
    const text = 'xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #74 with two threads', async() => {
    const text = 'xxx ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #75 with two threads', async() => {
    const text = 'xxx=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #76 with two threads', async() => {
    const text = 'xxxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #77 with two threads', async() => {
    const text = '  ==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #78 with two threads', async() => {
    const text = '  x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #79 with two threads', async() => {
    const text = '=   x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #80 with two threads', async() => {
    const text = '=  =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #81 with two threads', async() => {
    const text = '=  xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #82 with two threads', async() => {
    const text = '= = x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #83 with two threads', async() => {
    const text = '= ==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #84 with two threads', async() => {
    const text = '= =xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #85 with two threads', async() => {
    const text = '= x x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #86 with two threads', async() => {
    const text = '= x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #87 with two threads', async() => {
    const text = '= xxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #88 with two threads', async() => {
    const text = '==  x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #89 with two threads', async() => {
    const text = '== =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #90 with two threads', async() => {
    const text = '== xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #91 with two threads', async() => {
    const text = '=== x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #92 with two threads', async() => {
    const text = '====x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #93 with two threads', async() => {
    const text = '===xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #94 with two threads', async() => {
    const text = '==x x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #95 with two threads', async() => {
    const text = '==x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #96 with two threads', async() => {
    const text = '==xxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #97 with two threads', async() => {
    const text = '=x  x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #98 with two threads', async() => {
    const text = '=x =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #99 with two threads', async() => {
    const text = '=x xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #100 with two threads', async() => {
    const text = '=x= x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #101 with two threads', async() => {
    const text = '=x==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #102 with two threads', async() => {
    const text = '=x=xx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #103 with two threads', async() => {
    const text = '=xx x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #104 with two threads', async() => {
    const text = '=xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #105 with two threads', async() => {
    const text = '=xxxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #106 with two threads', async() => {
    const text = 'x= =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #107 with two threads', async() => {
    const text = 'x===x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #108 with two threads', async() => {
    const text = 'x=x x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #109 with two threads', async() => {
    const text = 'x=x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #110 with two threads', async() => {
    const text = 'x=xx ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #111 with two threads', async() => {
    const text = 'x=xx=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #112 with two threads', async() => {
    const text = 'x=xxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #113 with two threads', async() => {
    const text = 'xx =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #114 with two threads', async() => {
    const text = 'xxx x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #115 with two threads', async() => {
    const text = 'xxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #116 with two threads', async() => {
    const text = 'xxxxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #117 with two threads', async() => {
    const text = '=   =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #118 with two threads', async() => {
    const text = '=  ==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #119 with two threads', async() => {
    const text = '=  x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #120 with two threads', async() => {
    const text = '= = =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #121 with two threads', async() => {
    const text = '= ===x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #122 with two threads', async() => {
    const text = '= =x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #123 with two threads', async() => {
    const text = '= x =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #124 with two threads', async() => {
    const text = '= x==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #125 with two threads', async() => {
    const text = '= xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #126 with two threads', async() => {
    const text = '==  =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #127 with two threads', async() => {
    const text = '== ==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #128 with two threads', async() => {
    const text = '== x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #129 with two threads', async() => {
    const text = '=== =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #130 with two threads', async() => {
    const text = '=====x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #131 with two threads', async() => {
    const text = '===x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #132 with two threads', async() => {
    const text = '==x =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #133 with two threads', async() => {
    const text = '==x==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #134 with two threads', async() => {
    const text = '==xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #135 with two threads', async() => {
    const text = '=x  =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #136 with two threads', async() => {
    const text = '=x ==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #137 with two threads', async() => {
    const text = '=x x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #138 with two threads', async() => {
    const text = '=x= =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #139 with two threads', async() => {
    const text = '=x===x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #140 with two threads', async() => {
    const text = '=x=x=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #141 with two threads', async() => {
    const text = '=xx =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #142 with two threads', async() => {
    const text = '=xx==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #143 with two threads', async() => {
    const text = '=xxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #144 with two threads', async() => {
    const text = 'x=x==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #145 with two threads', async() => {
    const text = 'x=xx x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #146 with two threads', async() => {
    const text = 'x=xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #147 with two threads', async() => {
    const text = 'x=xxx ';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #148 with two threads', async() => {
    const text = 'x=xxx=';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #149 with two threads', async() => {
    const text = 'x=xxxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #150 with two threads', async() => {
    const text = 'xxx =x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #151 with two threads', async() => {
    const text = 'xxxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #152 with two threads', async() => {
    const text = 'x=xx==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #153 with two threads', async() => {
    const text = 'x=xxx x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #154 with two threads', async() => {
    const text = 'x=xxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #155 with two threads', async() => {
    const text = 'x=xxxxx';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #156 with two threads', async() => {
    const text = 'x=xxx==x';
    expect((await parallelMapReduce('./attributes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #0 with three threads', async() => {
    const text = '';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #1 with three threads', async() => {
    const text = ' ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #2 with three threads', async() => {
    const text = '=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #3 with three threads', async() => {
    const text = 'x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #4 with three threads', async() => {
    const text = '  ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #5 with three threads', async() => {
    const text = ' =';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #6 with three threads', async() => {
    const text = ' x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #7 with three threads', async() => {
    const text = '= ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #8 with three threads', async() => {
    const text = '==';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #9 with three threads', async() => {
    const text = '=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #10 with three threads', async() => {
    const text = 'x ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #11 with three threads', async() => {
    const text = 'x=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #12 with three threads', async() => {
    const text = 'xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #13 with three threads', async() => {
    const text = '   ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #14 with three threads', async() => {
    const text = '  =';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #15 with three threads', async() => {
    const text = '  x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #16 with three threads', async() => {
    const text = ' =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #17 with three threads', async() => {
    const text = ' xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #18 with three threads', async() => {
    const text = '=  ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #19 with three threads', async() => {
    const text = '= =';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #20 with three threads', async() => {
    const text = '= x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #21 with three threads', async() => {
    const text = '== ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #22 with three threads', async() => {
    const text = '===';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #23 with three threads', async() => {
    const text = '==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #24 with three threads', async() => {
    const text = '=x ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #25 with three threads', async() => {
    const text = '=x=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #26 with three threads', async() => {
    const text = '=xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #27 with three threads', async() => {
    const text = 'x x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #28 with three threads', async() => {
    const text = 'x= ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #29 with three threads', async() => {
    const text = 'x==';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #30 with three threads', async() => {
    const text = 'x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #31 with three threads', async() => {
    const text = 'xx ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #32 with three threads', async() => {
    const text = 'xx=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #33 with three threads', async() => {
    const text = 'xxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #34 with three threads', async() => {
    const text = '   x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #35 with three threads', async() => {
    const text = '  =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #36 with three threads', async() => {
    const text = '  xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #37 with three threads', async() => {
    const text = ' ==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #38 with three threads', async() => {
    const text = ' x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #39 with three threads', async() => {
    const text = '=   ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #40 with three threads', async() => {
    const text = '=  =';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #41 with three threads', async() => {
    const text = '=  x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #42 with three threads', async() => {
    const text = '= = ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #43 with three threads', async() => {
    const text = '= ==';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #44 with three threads', async() => {
    const text = '= =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #45 with three threads', async() => {
    const text = '= x ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #46 with three threads', async() => {
    const text = '= x=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #47 with three threads', async() => {
    const text = '= xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #48 with three threads', async() => {
    const text = '==  ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #49 with three threads', async() => {
    const text = '== =';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #50 with three threads', async() => {
    const text = '== x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #51 with three threads', async() => {
    const text = '=== ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #52 with three threads', async() => {
    const text = '====';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #53 with three threads', async() => {
    const text = '===x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #54 with three threads', async() => {
    const text = '==x ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #55 with three threads', async() => {
    const text = '==x=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #56 with three threads', async() => {
    const text = '==xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #57 with three threads', async() => {
    const text = '=x  ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #58 with three threads', async() => {
    const text = '=x =';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #59 with three threads', async() => {
    const text = '=x x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #60 with three threads', async() => {
    const text = '=x= ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #61 with three threads', async() => {
    const text = '=x==';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #62 with three threads', async() => {
    const text = '=x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #63 with three threads', async() => {
    const text = '=xx ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #64 with three threads', async() => {
    const text = '=xx=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #65 with three threads', async() => {
    const text = '=xxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #66 with three threads', async() => {
    const text = 'x =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #67 with three threads', async() => {
    const text = 'x= x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #68 with three threads', async() => {
    const text = 'x==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #69 with three threads', async() => {
    const text = 'x=x ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #70 with three threads', async() => {
    const text = 'x=x=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #71 with three threads', async() => {
    const text = 'x=xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #72 with three threads', async() => {
    const text = 'xx x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #73 with three threads', async() => {
    const text = 'xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #74 with three threads', async() => {
    const text = 'xxx ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #75 with three threads', async() => {
    const text = 'xxx=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #76 with three threads', async() => {
    const text = 'xxxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #77 with three threads', async() => {
    const text = '  ==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #78 with three threads', async() => {
    const text = '  x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #79 with three threads', async() => {
    const text = '=   x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #80 with three threads', async() => {
    const text = '=  =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #81 with three threads', async() => {
    const text = '=  xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #82 with three threads', async() => {
    const text = '= = x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #83 with three threads', async() => {
    const text = '= ==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #84 with three threads', async() => {
    const text = '= =xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #85 with three threads', async() => {
    const text = '= x x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #86 with three threads', async() => {
    const text = '= x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #87 with three threads', async() => {
    const text = '= xxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #88 with three threads', async() => {
    const text = '==  x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #89 with three threads', async() => {
    const text = '== =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #90 with three threads', async() => {
    const text = '== xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #91 with three threads', async() => {
    const text = '=== x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #92 with three threads', async() => {
    const text = '====x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #93 with three threads', async() => {
    const text = '===xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #94 with three threads', async() => {
    const text = '==x x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #95 with three threads', async() => {
    const text = '==x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #96 with three threads', async() => {
    const text = '==xxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #97 with three threads', async() => {
    const text = '=x  x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #98 with three threads', async() => {
    const text = '=x =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #99 with three threads', async() => {
    const text = '=x xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #100 with three threads', async() => {
    const text = '=x= x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #101 with three threads', async() => {
    const text = '=x==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #102 with three threads', async() => {
    const text = '=x=xx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #103 with three threads', async() => {
    const text = '=xx x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #104 with three threads', async() => {
    const text = '=xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #105 with three threads', async() => {
    const text = '=xxxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #106 with three threads', async() => {
    const text = 'x= =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #107 with three threads', async() => {
    const text = 'x===x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #108 with three threads', async() => {
    const text = 'x=x x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #109 with three threads', async() => {
    const text = 'x=x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #110 with three threads', async() => {
    const text = 'x=xx ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #111 with three threads', async() => {
    const text = 'x=xx=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #112 with three threads', async() => {
    const text = 'x=xxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #113 with three threads', async() => {
    const text = 'xx =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #114 with three threads', async() => {
    const text = 'xxx x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #115 with three threads', async() => {
    const text = 'xxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #116 with three threads', async() => {
    const text = 'xxxxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #117 with three threads', async() => {
    const text = '=   =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #118 with three threads', async() => {
    const text = '=  ==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #119 with three threads', async() => {
    const text = '=  x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #120 with three threads', async() => {
    const text = '= = =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #121 with three threads', async() => {
    const text = '= ===x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #122 with three threads', async() => {
    const text = '= =x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #123 with three threads', async() => {
    const text = '= x =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #124 with three threads', async() => {
    const text = '= x==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #125 with three threads', async() => {
    const text = '= xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #126 with three threads', async() => {
    const text = '==  =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #127 with three threads', async() => {
    const text = '== ==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #128 with three threads', async() => {
    const text = '== x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #129 with three threads', async() => {
    const text = '=== =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #130 with three threads', async() => {
    const text = '=====x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #131 with three threads', async() => {
    const text = '===x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #132 with three threads', async() => {
    const text = '==x =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #133 with three threads', async() => {
    const text = '==x==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #134 with three threads', async() => {
    const text = '==xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #135 with three threads', async() => {
    const text = '=x  =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #136 with three threads', async() => {
    const text = '=x ==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #137 with three threads', async() => {
    const text = '=x x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #138 with three threads', async() => {
    const text = '=x= =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #139 with three threads', async() => {
    const text = '=x===x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #140 with three threads', async() => {
    const text = '=x=x=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #141 with three threads', async() => {
    const text = '=xx =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #142 with three threads', async() => {
    const text = '=xx==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #143 with three threads', async() => {
    const text = '=xxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #144 with three threads', async() => {
    const text = 'x=x==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #145 with three threads', async() => {
    const text = 'x=xx x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #146 with three threads', async() => {
    const text = 'x=xx=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #147 with three threads', async() => {
    const text = 'x=xxx ';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #148 with three threads', async() => {
    const text = 'x=xxx=';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #149 with three threads', async() => {
    const text = 'x=xxxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #150 with three threads', async() => {
    const text = 'xxx =x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #151 with three threads', async() => {
    const text = 'xxxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #152 with three threads', async() => {
    const text = 'x=xx==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #153 with three threads', async() => {
    const text = 'x=xxx x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #154 with three threads', async() => {
    const text = 'x=xxx=x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #155 with three threads', async() => {
    const text = 'x=xxxxx';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #156 with three threads', async() => {
    const text = 'x=xxx==x';
    expect((await parallelMapReduce('./attributes.js', text, 3)).valid).toBe(false);
  });
});
