import { parallelMapReduce } from './mapReduce.js';

describe('map-reduce with the basic quotes monoid', () => {
  test('validates string #0 with one thread', async() => {
    const text = ''.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #1 with one thread', async() => {
    const text = '"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #2 with one thread', async() => {
    const text = '|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #3 with one thread', async() => {
    const text = 'x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #4 with one thread', async() => {
    const text = '""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #5 with one thread', async() => {
    const text = '"|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #6 with one thread', async() => {
    const text = '"x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #7 with one thread', async() => {
    const text = '|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #8 with one thread', async() => {
    const text = '||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #9 with one thread', async() => {
    const text = '|x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #10 with one thread', async() => {
    const text = 'x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #11 with one thread', async() => {
    const text = 'x|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #12 with one thread', async() => {
    const text = 'xx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #13 with one thread', async() => {
    const text = '"|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #14 with one thread', async() => {
    const text = '"||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #15 with one thread', async() => {
    const text = '"|x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #16 with one thread', async() => {
    const text = '"x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #17 with one thread', async() => {
    const text = '"x|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #18 with one thread', async() => {
    const text = '"xx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #19 with one thread', async() => {
    const text = '|""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #20 with one thread', async() => {
    const text = '||"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #21 with one thread', async() => {
    const text = '|||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #22 with one thread', async() => {
    const text = '||x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #23 with one thread', async() => {
    const text = '|x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #24 with one thread', async() => {
    const text = '|x|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #25 with one thread', async() => {
    const text = '|xx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #26 with one thread', async() => {
    const text = 'x""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #27 with one thread', async() => {
    const text = 'x|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #28 with one thread', async() => {
    const text = 'x||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #29 with one thread', async() => {
    const text = 'x|x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #30 with one thread', async() => {
    const text = 'xx"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #31 with one thread', async() => {
    const text = 'xx|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #32 with one thread', async() => {
    const text = 'xxx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #33 with one thread', async() => {
    const text = '"|""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #34 with one thread', async() => {
    const text = '"||"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #35 with one thread', async() => {
    const text = '"|x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #36 with one thread', async() => {
    const text = '"x|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #37 with one thread', async() => {
    const text = '"xx"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #38 with one thread', async() => {
    const text = '"xx|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('does not validate string #39 with one thread', async() => {
    const text = '"xxx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #40 with one thread', async() => {
    const text = '||""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #41 with one thread', async() => {
    const text = '|x""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #42 with one thread', async() => {
    const text = 'x|""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #43 with one thread', async() => {
    const text = 'xx""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('does not validate string #44 with one thread', async() => {
    const text = '"xx|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(false);
  });
  test('validates string #45 with one thread', async() => {
    const text = '"xxx"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 1)).valid).toBe(true);
  });
  test('validates string #0 with two threads', async() => {
    const text = ''.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #1 with two threads', async() => {
    const text = '"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #2 with two threads', async() => {
    const text = '|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #3 with two threads', async() => {
    const text = 'x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #4 with two threads', async() => {
    const text = '""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #5 with two threads', async() => {
    const text = '"|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #6 with two threads', async() => {
    const text = '"x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #7 with two threads', async() => {
    const text = '|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #8 with two threads', async() => {
    const text = '||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #9 with two threads', async() => {
    const text = '|x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #10 with two threads', async() => {
    const text = 'x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #11 with two threads', async() => {
    const text = 'x|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #12 with two threads', async() => {
    const text = 'xx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #13 with two threads', async() => {
    const text = '"|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #14 with two threads', async() => {
    const text = '"||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #15 with two threads', async() => {
    const text = '"|x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #16 with two threads', async() => {
    const text = '"x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #17 with two threads', async() => {
    const text = '"x|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #18 with two threads', async() => {
    const text = '"xx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #19 with two threads', async() => {
    const text = '|""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #20 with two threads', async() => {
    const text = '||"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #21 with two threads', async() => {
    const text = '|||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #22 with two threads', async() => {
    const text = '||x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #23 with two threads', async() => {
    const text = '|x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #24 with two threads', async() => {
    const text = '|x|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #25 with two threads', async() => {
    const text = '|xx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #26 with two threads', async() => {
    const text = 'x""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #27 with two threads', async() => {
    const text = 'x|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #28 with two threads', async() => {
    const text = 'x||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #29 with two threads', async() => {
    const text = 'x|x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #30 with two threads', async() => {
    const text = 'xx"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #31 with two threads', async() => {
    const text = 'xx|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #32 with two threads', async() => {
    const text = 'xxx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #33 with two threads', async() => {
    const text = '"|""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #34 with two threads', async() => {
    const text = '"||"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #35 with two threads', async() => {
    const text = '"|x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #36 with two threads', async() => {
    const text = '"x|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #37 with two threads', async() => {
    const text = '"xx"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #38 with two threads', async() => {
    const text = '"xx|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('does not validate string #39 with two threads', async() => {
    const text = '"xxx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #40 with two threads', async() => {
    const text = '||""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #41 with two threads', async() => {
    const text = '|x""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #42 with two threads', async() => {
    const text = 'x|""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #43 with two threads', async() => {
    const text = 'xx""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('does not validate string #44 with two threads', async() => {
    const text = '"xx|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(false);
  });
  test('validates string #45 with two threads', async() => {
    const text = '"xxx"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 2)).valid).toBe(true);
  });
  test('validates string #0 with three threads', async() => {
    const text = ''.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #1 with three threads', async() => {
    const text = '"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #2 with three threads', async() => {
    const text = '|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #3 with three threads', async() => {
    const text = 'x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #4 with three threads', async() => {
    const text = '""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #5 with three threads', async() => {
    const text = '"|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #6 with three threads', async() => {
    const text = '"x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #7 with three threads', async() => {
    const text = '|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #8 with three threads', async() => {
    const text = '||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #9 with three threads', async() => {
    const text = '|x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #10 with three threads', async() => {
    const text = 'x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #11 with three threads', async() => {
    const text = 'x|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #12 with three threads', async() => {
    const text = 'xx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #13 with three threads', async() => {
    const text = '"|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #14 with three threads', async() => {
    const text = '"||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #15 with three threads', async() => {
    const text = '"|x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #16 with three threads', async() => {
    const text = '"x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #17 with three threads', async() => {
    const text = '"x|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #18 with three threads', async() => {
    const text = '"xx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #19 with three threads', async() => {
    const text = '|""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #20 with three threads', async() => {
    const text = '||"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #21 with three threads', async() => {
    const text = '|||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #22 with three threads', async() => {
    const text = '||x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #23 with three threads', async() => {
    const text = '|x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #24 with three threads', async() => {
    const text = '|x|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #25 with three threads', async() => {
    const text = '|xx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #26 with three threads', async() => {
    const text = 'x""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #27 with three threads', async() => {
    const text = 'x|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #28 with three threads', async() => {
    const text = 'x||'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #29 with three threads', async() => {
    const text = 'x|x'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #30 with three threads', async() => {
    const text = 'xx"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #31 with three threads', async() => {
    const text = 'xx|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #32 with three threads', async() => {
    const text = 'xxx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #33 with three threads', async() => {
    const text = '"|""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #34 with three threads', async() => {
    const text = '"||"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #35 with three threads', async() => {
    const text = '"|x"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #36 with three threads', async() => {
    const text = '"x|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #37 with three threads', async() => {
    const text = '"xx"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #38 with three threads', async() => {
    const text = '"xx|'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('does not validate string #39 with three threads', async() => {
    const text = '"xxx'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #40 with three threads', async() => {
    const text = '||""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #41 with three threads', async() => {
    const text = '|x""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #42 with three threads', async() => {
    const text = 'x|""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('validates string #43 with three threads', async() => {
    const text = 'xx""'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
  test('does not validate string #44 with three threads', async() => {
    const text = '"xx|"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(false);
  });
  test('validates string #45 with three threads', async() => {
    const text = '"xxx"'.replaceAll('|', '\\');
    expect((await parallelMapReduce('./quotes.js', text, 3)).valid).toBe(true);
  });
});
