import { parentPort } from 'worker_threads';

function iterativeReduce(identityElement, combineMonoidElements, sequence) {
  let result = identityElement;
  for (const element of sequence) {
    result = combineMonoidElements(result, element);
  }
  return result;
}

parentPort.on('message', async({ proceduresURL, data }) => {
  const {
    IDENTITY_ELEMENT,
    encodeAsMonoidElement,
    combineMonoidElements,
  } = await import(proceduresURL);
  parentPort.postMessage(iterativeReduce(IDENTITY_ELEMENT, combineMonoidElements, data.map(encodeAsMonoidElement)));
});
